%define tarball xf86-video-openchrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_xvmc 1

Summary:	Xorg X11 openchrome video driver
Name:		xorg-x11-drv-openchrome
Version:	0.2.903
Release:	1%{?dist}
URL:		http://www.openchrome.org
License:	MIT
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:	http://www.openchrome.org/releases/%{tarball}-%{version}.tar.bz2
Source1:	openchrome.xinf

# Patches from upstream trunk :
Patch1:         openchrome-0.2.903-sync_pciids.patch
# Fedora specific patches :
Patch100:       openchrome-0.2.903-re_enable_AGPDMA.patch

ExclusiveArch:	%{ix86} x86_64

BuildRequires:	pkgconfig
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	mesa-libGL-devel
%if %{with_xvmc}
BuildRequires:	libXvMC-devel
%endif
BuildRequires:	libdrm-devel >= 2.0-1
Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 openchrome video driver.

%if %{with_xvmc}
%package devel
Summary:	Xorg X11 openchrome video driver XvMC development package
Group:		Development/System
Requires:	%{name} = %{version}-%{release}

%description devel
X.Org X11 openchrome video driver XvMC development package.
%endif

%prep
%setup -q -n %{tarball}-%{version}
%patch1 -p0 -b .pciids
%patch100 -p0 -b .agpdma

%build
%configure --disable-static --enable-dri
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/openchrome.xinf

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{driverdir}/openchrome_drv.so
%{_datadir}/hwdata/videoaliases/openchrome.xinf
%if %{with_xvmc}
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%endif
%{_mandir}/man4/openchrome.4.gz

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMCPro.so
%endif


%changelog
* Wed Aug 20 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.903-1
- Update to 0.2.903.

* Sat Jun 07 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.902-3
- Re-enable AGPDMA for K8M800 and VM800, as the drm bug is fixed in kernel
  >= 2.6.25rc7 (Patch #1).
- Fix Xv on LCD for K8M890.

* Sun Jun 01 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.902-2
- Add patch to fix Xv on LCD for CX700.
- Unbreak ActiveDevice option.
- Disable XvDMA for K8M890 and P4M890 (RHBZ #391621).
- Sync pci ids with upstream.

* Wed Apr 09 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.902-1
- Update to 0.2.902.
- Sync with devel.

* Sun Jan 27 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.901-2
- Add patch to properly set fifo on P4M900.

* Wed Jan 02 2008 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.901-1
- Update to 0.2.901.
- Remove obsoleted patches.

* Fri Nov 02 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-7
- Replace broken VT1625 NTSC patch.
- Add patch to announce as release not as development build.
- First official Fedora build.

* Thu Oct 18 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-6
- Update to official 0.2.900

* Wed Oct 10 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-5
- Update to release_0_3_0 branch rev. 410
- Add VT1625 patch for 720x576 PAL

* Mon Sep 10 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-4
- Update to release_0_3_0 branch rev. 384 plus all changes from experimental
  merged back
- Remove upstream patch #2

* Wed Aug 01 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-3
- Update to release_0_3_0 branch rev. 380 (fix a bug with XvMC acceleration)
- Add a patch to allow proper detection of DDR667 (patch #2)

* Mon Jul 16 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-2
- Update to release_0_3_0 branch rev. 373
- Add release notes to %%doc

* Thu Jul 05 2007 Xavier Bachelot <xavier AT bachelot DOT org> - 0.2.900-1
- Initial build (release_0_3_0 branch rev. 365)
- Add some NTSC modes for the VT1625 (patch #1)
